#! /s/std/bin/perl

# the boss makes sure the manager is running

$manager_name = "manager.pl";
$manager_home = "/local.ostrich/johnbent";

$debug = $ARGV[0];

# check if manager is running
$pid = (`ps -auxw | grep $manager_name | grep -v grep`);
chomp $pid;
if ($pid) { 
	if ($debug) { print "Manager already running.\n"; } 
	exit (0); 
}

# if manager is not running, start manager
chdir ($manager_home);
if ($debug) { print  "Restarting manager.\n"; } 
`./$manager_name`;

