#! /s/std/bin/perl

$top = "/local.ostrich/johnbent";
$stripped_dir = "$top/STRIPPED";
$DB_DIR = "$top/DB";


	# set up the files and their handles
$JOB_FILE = "$DB_DIR/Jobs";
if (-e $JOB_FILE) { unlink $JOB_FILE; `touch $JOB_FILE`; } 
`touch $JOB_FILE`;
open JOB_FILE, ">>$JOB_FILE" or die "Can't open $JOB_FILE: ";

$user;
$file;
$ip;
$job;

chdir( $stripped_dir );
foreach $file (<*>) {
	
	# print job info from the file name to the JOB_FILE
	get_meta_file_info( $file );
	#print "printing $file;$user;$ip;$job to $JOB_FILE\n";
	print JOB_FILE "$file;$user;$ip;$job\n";

}


sub
get_meta_file_info {
	($front, $back) = split (/cluster/, $_[0]);
	($cluster, $proc) = split (/\./, $back);
	$proc =~ s/[a-z]*//;
	($one, $two, $three, $four) = split (/\./, $front);
	$user = $four;
	$user =~ s/[0-9]*//;
	$four =~ s/[a-zA-Z]*$//;
	$ip = "$one.$two.$three.$four";
	$job = "$cluster.$proc";	
}
