import java.io.*;
import java.lang.*;
import java.util.StringTokenizer;

public class file_reader {


static String line = null, temp = null, size = null, compressed_size = null, 
				savings = null, filename = null, time = null, date = null, 
				month = null, matching = null, nonmatch = null, total = null, 
				newpages = null, Total = null, pagesize = null;

public static void 
main ( String args[] ) { 

	StringTokenizer tokens;

	try {

		//System.out.println("Will read file " + args[0] );
		BufferedReader in = new BufferedReader(new FileReader(args[0]));

			// the first line identifies the file
		filename = line = in.readLine();

		MAIN: for( ;; ) {
			if ( line == null ) { break; }
			while ( ! line.startsWith("==") ) {
				//System.out.println( "Skipping a line: " + line );
				line = in.readLine();
				if (line == null) break;
			}
			tokens = new StringTokenizer( line );

			// read the date and time from the timestamp
			tokens.nextToken();	// ===Comparing
			tokens.nextToken(); // ckpts
			tokens.nextToken(); // at
			tokens.nextToken(); // day of week
			month = tokens.nextToken();
			date  = tokens.nextToken();
			time  = tokens.nextToken();

				// look for either the next ckpt or the total info
				// initialize values to null
			compressed_size = new String( "-1" );
			newpages 		= new String( "-1" );
			Total    		= new String( "-1" );
			savings  		= new String( "-1" );
			size     		= new String( "-1" );
			pagesize 		= new String( "-1" );
			
			while (true) {
				line = in.readLine();
				if (line == null) {
					//System.out.println("Got a null line");
					continue MAIN;
				}
				tokens = new StringTokenizer(line);
				if (line.startsWith("==")) {	// beginning of next ckpt
					printTuple();
					continue MAIN;
				} else
				if ( line.startsWith("size")) {
					tokens.nextToken(); // size
					compressed_size = tokens.nextToken();
				} else
				if ( line.startsWith("Total new") ) {
					for (int i = 0; i < 3; i++) 
						tokens.nextToken(); 	// Total new pages
					newpages = tokens.nextToken();
					tokens.nextToken(); // '/'
					Total = tokens.nextToken();
				} else		
				if (line.startsWith("Total savings") ) {
					for (int i = 0; i < 2; i++) tokens.nextToken(); 
															// Total savings
					savings = tokens.nextToken();
					temp = tokens.nextToken(); // '/'
					if (temp.equals("megs")) { // old format
						pagesize = (tokens.nextToken()).substring( 1 );
					} else {
						size = tokens.nextToken();
						tokens.nextToken(); // megs
						tokens.nextToken(); // percent
						pagesize = (tokens.nextToken()).substring( 1 );
					}
				} //else System.out.println("skipping line: " + line);
			}
		} // loop to next checkpoint

	} catch (Exception e) {
		e.printStackTrace();
	}
	
	printTuple();
	return;

}

public static void 
printTuple () {
	System.out.println(
		filename + ";" + 
		month + "/" + date + "/2000;" +
		time + ";" +
		newpages + ";" +
		Total + ";" +
		savings + ";" +
		size + ";" +
		compressed_size + ";" +
		pagesize 
		);
}

public static String
month (String mon) {
	if (mon.equals("Apr")) return new String("4");
	else if (mon.equals("Mar")) return new String("3");
	else return new String("2");
}

}
